com.smartgwt.client.widgets.grid

## Class ListGridSummaryField

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.grid.ListGridField
      - - com.smartgwt.client.widgets.grid.ListGridSummaryField

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasCellSavedHandlers, HasChangedHandlers, HasChangeHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasRecordClickHandlers

      public class ListGridSummaryField
      extends ListGridField

  This class represents a List Grid field that is used as a Summary Field.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListGridSummaryField()`
    `ListGridSummaryField(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `ListGridSummaryField(java.lang.String name)`
    `ListGridSummaryField(java.lang.String name, int width)`
    `ListGridSummaryField(java.lang.String name, java.lang.String title)`
    `ListGridSummaryField(java.lang.String name, java.lang.String title, int width)`

  - ### Method Summary

    - ### Methods inherited from class com.smartgwt.client.widgets.grid.ListGridField

      `addCellSavedHandler, addChangedHandler, addChangeHandler, addEditorEnterHandler, addEditorExitHandler, addRecordClickHandler, addSummaryFunction, addSummaryFunction, getAlign, getApplyAfterSummary, getAutoFetchDisplayMap, getAutoFitWidth, getAutoFitWidthApproach, getAutoFreeze, getBaseStyle, getCanDragResize, getCanEdit, getCanExport, getCanFilter, getCanFreeze, getCanGroupBy, getCanHide, getCanHilite, getCanReorder, getCanSort, getCanSortClientOnly, getCanToggle, getCellAlign, getCellIcon, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultGroupingMode, getDefaultIconSrc, getDisplayField, getDisplayValueFromRecord, getEditorIconHeight, getEditorIconWidth, getEditorImageURLPrefix, getEditorImageURLSuffix, getEditorValueIconHeight, getEditorValueIconWidth, getEmptyCellValue, getEnterKeyEditAction, getEscapeHTML, getEscapeKeyEditAction, getExportRawValues, getFieldTitle, getFilterOnKeypress, getFilterOperator, getFrozen, getGroupGranularity, getGroupingMode, getGroupingModes, getGroupPrecision, getHeaderBaseStyle, getHeaderTitle, getHeaderTitleStyle, getHiliteIconHeight, getHiliteIconLeftPadding, getHiliteIconPosition, getHiliteIconRightPadding, getHiliteIconSize, getHiliteIconWidth, getIcon, getIconHeight, getIconOrientation, getIconSize, getIconSpacing, getIconVAlign, getIconWidth, getIgnoreKeyboardClicks, getImageHeight, getImageSize, getImageURLPrefix, getImageURLSuffix, getImageWidth, getIncludeFrom, getIncludeInRecordSummary, getIsRemoveField, getLinkText, getLinkTextProperty, getLinkURLPrefix, getLinkURLSuffix, getMultiple, getName, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getOrCreateRef, getPartialSummary, getPrompt, getRecordSummaryFunction, getRequired, getShouldPrint, getShowAlternateStyle, getShowDefaultContextMenu, getShowDisabledIcon, getShowDownIcon, getShowFileInline, getShowFocusedIcon, getShowGridSummary, getShowGroupSummary, getShowHilitesInGroupSummary, getShowHover, getShowRollOverIcon, getShowSelectedIcon, getShowTitle, getShowValueIconOnly, getSortByDisplayField, getSortByMappedValue, getSortDirection, getSummaryTitle, getSummaryValue, getSummaryValueTitle, getSuppressValueIcon, getTarget, getTimeFormatter, getTitle, getType, getUserFormula, getUserSummary, getValidateOnChange, getValueField, getValueIconHeight, getValueIconLeftPadding, getValueIconOrientation, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getWidth, getWrap, setAlign, setApplyAfterSummary, setAutoFetchDisplayMap, setAutoFitWidth, setAutoFitWidthApproach, setAutoFreeze, setBaseStyle, setCanDragResize, setCanEdit, setCanExport, setCanFilter, setCanFreeze, setCanGroupBy, setCanHide, setCanHilite, setCanReorder, setCanSort, setCanSortClientOnly, setCanToggle, setCellAlign, setCellFormatter, setCellIcon, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultGroupingMode, setDefaultIconSrc, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisplayField, setDisplayValueFromRecord, setEditorIconHeight, setEditorIconWidth, setEditorImageURLPrefix, setEditorImageURLSuffix, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueIconHeight, setEditorValueIcons, setEditorValueIconWidth, setEditorValueMap, setEditorValueMapFunction, setEditValueFormatter, setEditValueParser, setEmptyCellValue, setEnterKeyEditAction, setEscapeHTML, setEscapeKeyEditAction, setExportRawValues, setFilterEditorProperties, setFilterEditorType, setFilterEditorType, setFilterEditorType, setFilterEditorValueMap, setFilterOnKeypress, setFilterOperator, setFrozen, setGridSummaryCustomizer, setGroupGranularity, setGroupingMode, setGroupingModes, setGroupPrecision, setGroupSummaryCustomizer, setGroupTitleRenderer, setGroupValueFunction, setHeaderBaseStyle, setHeaderButtonProperties, setHeaderTitle, setHeaderTitleStyle, setHidden, setHiliteIconHeight, setHiliteIconLeftPadding, setHiliteIconPosition, setHiliteIconRightPadding, setHiliteIconSize, setHiliteIconWidth, setHoverCustomizer, setIcon, setIconHeight, setIconOrientation, setIcons, setIconSize, setIconSpacing, setIconVAlign, setIconWidth, setIgnoreKeyboardClicks, setImageHeight, setImageSize, setImageURLPrefix, setImageURLSuffix, setImageWidth, setImgDir, setIncludeFrom, setIncludeInRecordSummary, setIsRemoveField, setJavaScriptObject, setLeaveHeaderMenuButtonSpace, setLinkText, setLinkTextProperty, setLinkURLPrefix, setLinkURLSuffix, setMultiple, setName, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setPartialSummary, setPrompt, setRecordSummaryFunction, setRecordSummaryFunction, setRequired, setShouldPrint, setShowAlternateStyle, setShowDefaultContextMenu, setShowDisabledIcon, setShowDownIcon, setShowFileInline, setShowFocusedIcon, setShowGridSummary, setShowGroupSummary, setShowHilitesInGroupSummary, setShowHover, setShowIfCondition, setShowRollOverIcon, setShowSelectedIcon, setShowTitle, setShowValueIconOnly, setSortByDisplayField, setSortByMappedValue, setSortDirection, setSortNormalizer, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryTitle, setSummaryValue, setSummaryValueTitle, setSuppressValueIcon, setTarget, setTimeFormatter, setTitle, setType, setUserFormula, setUserSummary, setValidateOnChange, setValidators, setValueField, setValueIconHeight, setValueIconLeftPadding, setValueIconOrientation, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setWidth, setWidth, setWrap, setWrap`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### ListGridSummaryField

          public ListGridSummaryField()

    - #### ListGridSummaryField

          public ListGridSummaryField(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### ListGridSummaryField

          public ListGridSummaryField(java.lang.String name)

    - #### ListGridSummaryField

          public ListGridSummaryField(java.lang.String name,
                              int width)

    - #### ListGridSummaryField

          public ListGridSummaryField(java.lang.String name,
                              java.lang.String title)

    - #### ListGridSummaryField

          public ListGridSummaryField(java.lang.String name,
                              java.lang.String title,
                              int width)